## ros-humble-ign-ros2-control-demos 0.7.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.0)
project(ign_ros2_control_demos)

# Default to C11
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 11)
endif()
# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
  set(CMAKE_CXX_STANDARD_REQUIRED ON)
endif()

if(NOT WIN32)
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)

install(DIRECTORY
  launch
  config
  urdf
  DESTINATION share/${PROJECT_NAME}/
)

add_executable(example_position examples/example_position.cpp)
ament_target_dependencies(example_position
  rclcpp
  rclcpp_action
  control_msgs
)

add_executable(example_velocity examples/example_velocity.cpp)
ament_target_dependencies(example_velocity
  rclcpp
  std_msgs
)

add_executable(example_effort examples/example_effort.cpp)
ament_target_dependencies(example_effort
  rclcpp
  std_msgs
)

add_executable(example_diff_drive examples/example_diff_drive.cpp)
ament_target_dependencies(example_diff_drive
  rclcpp
  geometry_msgs
)

add_executable(example_tricycle_drive examples/example_tricycle_drive.cpp)
ament_target_dependencies(example_tricycle_drive
  rclcpp
  geometry_msgs
)

add_executable(example_gripper examples/example_gripper.cpp)
ament_target_dependencies(example_gripper
  rclcpp
  std_msgs
)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)

  ament_lint_auto_find_test_dependencies()
endif()

## Install
install(
  TARGETS
    example_position
    example_velocity
    example_effort
    example_diff_drive
    example_tricycle_drive
    example_gripper
  DESTINATION
    lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.1-1jammy) jammy; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>) (#174 <https://github.com/ros-controls/gz_ros2_control/issues/174>)
    (cherry picked from commit 353b5a001733612241049557a907f835b53f35ac)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>) (#173 <https://github.com/ros-controls/gz_ros2_control/issues/173>)
    (cherry picked from commit 7559d9bfe9dc836a7fc4907cc234554600e54b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.5.0-1jammy) jammy; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>) (#139 <https://github.com/ros-controls/gz_ros2_control/issues/139>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>) (#138 <https://github.com/ros-controls/gz_ros2_control/issues/138>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.4-1jammy) jammy; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/gz_ros2_control/issues/121> from livanov93/port-master-to-humble
  * Fix gripper mimic joint example.
  * Pre-commit fix for tricycle configuration.
  * Replace ros_ign_gazebo with ros_gz_sim
  * use ros_gz_sim
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Ian Chen, Krzysztof Wojciechowski, Lovro Ivanov, Maciej Bednarczyk, Polgár András, Tony Najjar

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 27 Mar 2023 22:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.3-1jammy) jammy; urgency=high

  * Add tricycle example to the humble branch #119 <https://github.com/ros-controls/gz_ros2_control/issues/119> from azazdeaz/humble
  * Replace ros_ign_gazebo with ros_gz_sim
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix example demos in humble branch #118 <https://github.com/ros-controls/gz_ros2_control/issues/118> from iche033/iche033/fix_humble_demos
  * use ros_gz_sim
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)
  * Adjust URLs (#65 <https://github.com/ros-controls/gz_ros2_control/issues/65>)
  * ign_ros2_control_demos: Install urdf dir (#61 <https://github.com/ros-controls/gz_ros2_control/issues/61>)
  * Remove URDF dependency (#56 <https://github.com/ros-controls/gz_ros2_control/issues/56>)
  * Use Ubuntu Jammy in CI (#47 <https://github.com/ros-controls/gz_ros2_control/issues/47>)
  * Add support for initial_values for hardware interfaces when starting simulation. (#27 <https://github.com/ros-controls/gz_ros2_control/issues/27>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Bence Magyar, Denis Štogl, Maciej Bednarczyk, ahcorde

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 15 Feb 2023 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 17 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.3.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 15 Mar 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.2.0-1jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/ignitionrobotics/ign_ros2_control/issues/36> from ignitionrobotics/ahcorde/foxy_to_galactic
    Foxy -> Galactic
  * Fixed galactic dependency
  * Merge remote-tracking branch 'origin/foxy' into ahcorde/foxy_to_galactic
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 16 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.2-1jammy) jammy; urgency=high

  * Updated docs and renamed diff drive launch file (#32 <https://github.com/ignitionrobotics/ign_ros2_control/issues/32>)
    Co-authored-by: Denis Štogl <mailto:denis@stogl.de>
  * Added Diff drive example (#28 <https://github.com/ignitionrobotics/ign_ros2_control/issues/28>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Sun, 13 Feb 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.1-1jammy) jammy; urgency=high

  * Change package names from ignition_ to ign_ (#19 <https://github.com/ignitionrobotics/ign_ros2_control/issues/19>)
    * Change package names from ignition_ to ign_
  * Added missing dependencies to package.xml (#18 <https://github.com/ignitionrobotics/ign_ros2_control/pull/21>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Thu, 06 Jan 2022 23:00:00 -0000

ros-humble-ign-ros2-control-demos (0.1.0-1jammy) jammy; urgency=high

  * Ignition ros2 control (#1 <https://github.com/ignitionrobotics/ign_ros2_control/issues/1>)
    Co-authored-by: ahcorde <mailto:ahcorde@gmail.com>
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Vatan Aksoy Tezer <mailto:vatan@picknik.ai>


=== debian/control ===
Source: ros-humble-ign-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: https://github.com/ros-controls/gz_ros2_control/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-control-msgs, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-ign-ros2-control, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-robot-state-publisher, ros-humble-ros-ign-gazebo, ros-humble-ros2controlcli, ros-humble-ros2launch, ros-humble-std-msgs, ros-humble-tricycle-controller, ros-humble-velocity-controllers, ros-humble-xacro, ros-humble-ros-workspace
Description: ign_ros2_control_demos

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control-demos//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ign-ros2-control-demos 0.7.8

=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.8-2bookworm) bookworm; urgency=high

  * Update pendulum-example  (#301 <https://github.com/ros-controls/gz_ros2_control/issues/301>) (#303 <https://github.com/ros-controls/gz_ros2_control/issues/303>)
    * Change initial pose of pendulum
    * Make position and effort version of pendulum equal
    (cherry picked from commit 1e7721409e5e3d2c583868353a09929ca37bf860)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Add cart-pole demo (#289 <https://github.com/ros-controls/gz_ros2_control/issues/289>) (#290 <https://github.com/ros-controls/gz_ros2_control/issues/290>)
    (cherry picked from commit 27af2108e77420dc46c83ac31658fccb67e33911)
    # Conflicts:
    #     ign_ros2_control_demos/launch/pendulum_example_effort.launch.py
    #     ign_ros2_control_demos/launch/pendulum_example_position.launch.py
    #     ign_ros2_control_demos/urdf/test_pendulum_effort.xacro.urdf
    #     ign_ros2_control_demos/urdf/test_pendulum_position.xacro.urdf
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.7-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 08 Apr 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.6-2bookworm) bookworm; urgency=high

  * Add ros_gz_bridge as dependency to demos (backport #256 <https://github.com/ros-controls/gz_ros2_control/issues/256>) (#257 <https://github.com/ros-controls/gz_ros2_control/issues/257>)
    * Add dep (#256 <https://github.com/ros-controls/gz_ros2_control/issues/256>)
    (cherry picked from commit b35100db16e80ffb574c0266321800e2197136c3)
    # Conflicts:
    #     ign_ros2_control_demos/package.xml
    * fixed merge
    ---------
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 20 Mar 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.4-2bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.3-2bookworm) bookworm; urgency=high

  * Removed cartpole files
  * Rename cartpole with cart (backport #214 <https://github.com/ros-controls/gz_ros2_control/issues/214>) (#217 <https://github.com/ros-controls/gz_ros2_control/issues/217>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.2-2bookworm) bookworm; urgency=high

  * Update diff_drive_example.launch.py (#207 <https://github.com/ros-controls/gz_ros2_control/issues/207>)
  * Cleanup controller config (backport #180 <https://github.com/ros-controls/gz_ros2_control/issues/180>) (#181 <https://github.com/ros-controls/gz_ros2_control/issues/181>)
    * Cleanup controller config (#180 <https://github.com/ros-controls/gz_ros2_control/issues/180>)
    (cherry picked from commit 223174515a64008b2ffef5b730c4c61cc78ff8bc)
  * Contributors: Jakub Delicat, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.7.1-2bookworm) bookworm; urgency=high

  * Set C++ version to 17 (#171 <https://github.com/ros-controls/gz_ros2_control/issues/171>) (#174 <https://github.com/ros-controls/gz_ros2_control/issues/174>)
    (cherry picked from commit 353b5a001733612241049557a907f835b53f35ac)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Update diff_drive_controller_velocity.yaml (#172 <https://github.com/ros-controls/gz_ros2_control/issues/172>) (#173 <https://github.com/ros-controls/gz_ros2_control/issues/173>)
    (cherry picked from commit 7559d9bfe9dc836a7fc4907cc234554600e54b14)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.5.0-2bookworm) bookworm; urgency=high

  * Clean shutdown example position (#135 <https://github.com/ros-controls/gz_ros2_control/issues/135>) (#139 <https://github.com/ros-controls/gz_ros2_control/issues/139>)
  * Fixed /clock with gz_ros2_bridge (#137 <https://github.com/ros-controls/gz_ros2_control/issues/137>) (#138 <https://github.com/ros-controls/gz_ros2_control/issues/138>)
  * Contributors: mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ign-ros2-control-demos (0.4.4-2bookworm) bookworm; urgency=high

  * Merge pull request #121 <https://github.com/ros-controls/gz_ros2_control/issues/121> from livanov93/port-master-to-humble
  * Fix gripper mimic joint example.
  * Pre-commit fix for tricycle configuration.
  * Replace ros_ign_gazebo with ros_gz_sim
  * use ros_gz_sim
  * Fix Docker entrypoint and add launch CLI to dependencites (#84 <https://github.com/ros-controls/gz_ros2_control/issues/84>)
  * Add support for mimic joints. (#33 <https://github.com/ros-controls/gz_ros2_control/issues/33>)
  * Add tricycle demo (#80 <https://github.com/ros-controls/gz_ros2_control/issues/80>)
  * Fix setting initial values if command interfaces are not defined. (#73 <https://github.com/ros-controls/gz_ros2_control/issues/73>)
  * fix demo launch (#75 <https://github.com/ros-controls/gz_ros2_control/issues/75>)


=== debian/control ===
Source: ros-humble-ign-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: https://github.com/ros-controls/gz_ros2_control/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-index-python, ros-humble-control-msgs, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-ign-ros2-control, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-robot-state-publisher, ros-humble-ros-gz-bridge, ros-humble-ros-ign-gazebo, ros-humble-ros2controlcli, ros-humble-ros2launch, ros-humble-std-msgs, ros-humble-tricycle-controller, ros-humble-velocity-controllers, ros-humble-xacro, ros-humble-ros-workspace
Description: ign_ros2_control_demos

## ros-humble-ign-ros2-control-demos 0.7.9

=== debian/changelog ===
ros-humble-ign-ros2-control-demos (0.7.9-2bookworm) bookworm; urgency=high

  * [Backport humble]  Ackermann steering example (#352 <https://github.com/ros-controls/gz_ros2_control/issues/352>)
    Co-authored-by: huzaifa <mailto:84243533+huzzu7@users.noreply.github.com>
  * Fixed pendulum examples (#353 <https://github.com/ros-controls/gz_ros2_control/issues/353>)
  * Rename variable in launch file (#327 <https://github.com/ros-controls/gz_ros2_control/issues/327>) (#338 <https://github.com/ros-controls/gz_ros2_control/issues/338>)
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    (cherry picked from commit cd0b002c49e71be459f4e9f0a063b97fed195b28)
    Co-authored-by: Christoph Fröhlich <mailto:christophfroehlich@users.noreply.github.com>
  * added color definitions (#310 <https://github.com/ros-controls/gz_ros2_control/issues/310>) (#312 <https://github.com/ros-controls/gz_ros2_control/issues/312>)
    (cherry picked from commit 7cb6fd901f373d6fcfa75ef23e43c6b9d7b186a7)
    Co-authored-by: Reza Kermani <mailto:kermani.areza@gmail.com>
  * Contributors: Alejandro Hernández Cordero, mergify[bot]

 -- Alejandro Hernandez <ahcorde@osrfoundation.org>  Mon, 01 Jul 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-ign-ros2-control-demos
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-control-msgs, ros-humble-geometry-msgs, ros-humble-rclcpp, ros-humble-rclcpp-action, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: https://github.com/ros-controls/gz_ros2_control/blob/master/README.md
Standards-Version: 3.9.2

Package: ros-humble-ign-ros2-control-demos
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ackermann-steering-controller, ros-humble-ament-index-python, ros-humble-control-msgs, ros-humble-diff-drive-controller, ros-humble-effort-controllers, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-ign-ros2-control, ros-humble-imu-sensor-broadcaster, ros-humble-joint-state-broadcaster, ros-humble-joint-trajectory-controller, ros-humble-launch, ros-humble-launch-ros, ros-humble-rclcpp, ros-humble-robot-state-publisher, ros-humble-ros-gz-bridge, ros-humble-ros-ign-gazebo, ros-humble-ros2controlcli, ros-humble-ros2launch, ros-humble-std-msgs, ros-humble-tricycle-controller, ros-humble-velocity-controllers, ros-humble-xacro, ros-humble-ros-workspace
Description: ign_ros2_control_demos

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control-demos//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ign-ros2-control-demos//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ign-ros2-control-demos//opt/ros/humble/opt/ign_ros2_control_demos/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
